# Exceptions

`collada.common.DaeError` | General DAE exception.
`collada.common.DaeIncompleteError` | Raised when needed data for an object isn’t there.
`collada.common.DaeBrokenRefError` | Raised when a referenced object is not found in the scope.
`collada.common.DaeMalformedError` | Raised when data is found to be corrupted in some way.
`collada.common.DaeUnsupportedError` | Raised when some unexpectedly unsupported feature is found.
`collada.common.DaeSaveValidationError` | Raised when XML validation fails when saving.